#9 gcc 4.3 needs some includes

closed
nobody
None
5
2008-07-25
2008-03-29
Anonymous
No

for linux systems with new gcc 4.3 the following files need additional includes, since gcc 4.3 doesn't pull them any more automatically

src/linux/EventHelper #include <cstring>
src/linux/LinuxInputManager.cpp #include <cstdlib>
src/linux/LinuxKeyboard #include <cstring>

Discussion

  • Logged In: YES
    user_id=947604
    Originator: NO

    Previously Completed as part of a patch (in CVS v1_2 branch).

    Thanks for reporting this anyway :D

     
    • status: open --> closed